org.apache.lucene.codecs.simpletext

## Class SimpleTextNormsFormat

- java.lang.Object
- - org.apache.lucene.codecs.NormsFormat
  - - org.apache.lucene.codecs.simpletext.SimpleTextNormsFormat

-     public class SimpleTextNormsFormat
      extends NormsFormat

  plain-text norms format.

  FOR RECREATIONAL USE ONLY

  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `SimpleTextNormsFormat.SimpleTextNormsConsumer` Writes plain-text norms.
    `static class` | `SimpleTextNormsFormat.SimpleTextNormsProducer` Reads plain-text norms.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleTextNormsFormat()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `NormsConsumer` | `normsConsumer(SegmentWriteState state)`
    `NormsProducer` | `normsProducer(SegmentReadState state)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SimpleTextNormsFormat

          public SimpleTextNormsFormat()

  - ### Method Detail

    - #### normsConsumer

          public NormsConsumer normsConsumer(SegmentWriteState state)
                                      throws IOException

      Specified by:
        `normsConsumer` in class `NormsFormat`
      Throws:
        `IOException`

    - #### normsProducer

          public NormsProducer normsProducer(SegmentReadState state)
                                      throws IOException

      Specified by:
        `normsProducer` in class `NormsFormat`
      Throws:
        `IOException`

Copyright © 2000-2018 Apache Software Foundation. All Rights Reserved.